STRATIS(8)

NAME
stratis - Configure Stratis local storage pools

SYNOPSIS

stratis [GLOBAL OPTIONS] pool <command> [args] [COMMAND OPTIONS]
stratis [GLOBAL OPTIONS] filesystem|fs <command> [args] [COMMAND OPTIONS]
stratis [GLOBAL OPTIONS] blockdev <command> [args] [COMMAND OPTIONS]
stratis [GLOBAL OPTIONS] daemon <redundancy|version>

DESCRIPTION

stratis is a command-line tool to create, modify, and destroy Stratis pools, and the filesystems allocated from the pool.

Stratis creates a pool from one or more block devices (blockdevs), and then enables multiple filesystems to be created from the pool.

If the block device is already in use, its signature has to be erased using wipefs -a <blockdev> before trying to add it to a pool.

GLOBAL OPTIONS

--version
    Show stratis-cli version.

--help, -h
    Show help on command.

--propagate
    (For debugging.) Allow exceptions raised during execution to propagate.

COMMANDS

pool create <pool_name> <blockdev> [<blockdev>..]
    Create a pool from one or more block devices, with the given pool name.

pool list
    List all pools on the system.

pool rename <old_pool_name> <new_pool_name>
    Rename a pool.

pool destroy <pool_name>
    Destroy a pool and all the filesystems created from it.

pool add-data <pool_name> <blockdev> [<blockdev>..]
    Add one or more blockdevs to an existing pool, to enlarge its storage capacity.

pool add-cache <pool_name> <blockdev> [<blockdev>..]
    Add one or more blockdevs to an existing pool, to be used as a cache instead of additional storage. Typically, smaller and faster drives, such as SSDs, are used for this purpose.

filesystem create <pool_name> <fs_name> [<fs_name>..]
    Create one or more filesystems from the specified pool.

filesystem snapshot <pool_name> <fs_name> <snapshot_name>
    Snapshot the filesystem in the specified pool.

filesystem list [pool_name]
    List all filesystems that exist in the specified pool, or all pools, if no pool name is given.

filesystem destroy <pool_name> <fs_name> [<fs_name>..]
    Destroy one or more filesystems that exist in the specified pool.

filesystem rename <pool_name> <fs_name> <new_name>
    Rename a filesystem.

blockdev list [pool_name]
    List all blockdevs that make up the specified pool, or all pools, if no pool name is given.

daemon redundancy
    List the redundancy levels that the Stratis service supports.

daemon version
    Show the Stratis service’s version.

EXAMPLES

Example 1. Creating a Stratis pool

stratis pool create mypool /dev/sdb /dev/sdc

Example 2. Creating a filesystem from a pool

stratis filesystem create mypool data1

SEE ALSO

mount(8), umount(8), fstab(5)

REPORTING BUGS & DEVELOPMENT

GitHub for issues and development
    https://github.com/stratis-storage, against either stratis-cli or stratisd projects, based on likelihood of issue being with the command-line tool or the service daemon.

Mailing list
    stratis-devel@lists.fedorahosted.org for general development discussion

Unknown values
    stratis-cli uses the Stratis API. If the API returns values that stratis-cli cannot interpret, stratis-cli will substitute "???". If encountered, upgrading to the latest version of stratis-cli, or filing an issue, is recommended.

LICENSE

stratis-cli is licensed under the Apache License, Version 2.0. Software distributed under this license is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either expressed or implied.